using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using HPS;

namespace hps_cs_samples
{
    class SampleMain
    {
        static void Main(string[] args)
        {
			World world = new World(/* Visualize license string goes here */);
            Sample sample = new Sample(world);

            if (!sample.ProcessArguments(args))
            {
                System.Console.WriteLine("Usage\n" +
                                         "hps_cs_sample -t test_name -d driver_name\n\n" +
                                         "Valid choices for test_name are:");
                foreach (Test test in sample.availableTests)
                {
                    System.Console.WriteLine(test.testName);
                }
                System.Console.WriteLine("\nValid choices for driver_name are\n" +
                                         "opengl, opengl2, directx9, directx11");
                return;
            }
                sample.RunTest(sample.testToRun, sample.driver);

			world.Dispose();
        }
    }
}
