#import "HPSApplication.h"
#include "visualize_license.h"

@implementation HPSApplication

- (id)init {
    
    self = [super init];
    
    if (self) {
        self->_world = new HPS::World(VISUALIZE_LICENSE);
        HPS::UTF8 const HEXCHANGE_INSTALL_DIR(getenv("HEXCHANGE_INSTALL_DIR"));
        if (HEXCHANGE_INSTALL_DIR.IsValid())
            self->_world->SetExchangeLibraryDirectory(HEXCHANGE_INSTALL_DIR + "/bin/osx64");
    }
    
    return self;
}

-(void)terminate:(id)sender {
    delete self->_world;
    [super terminate:sender];
}

@end
