#import "SamplesView.h"
#import "AppDelegate.h"

@implementation SamplesView

- (id)initWithFrame:(NSRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
    }
    
    return self;
}

- (id)initWithCoder:(NSCoder *)decoder {
    
    self = [super initWithCoder:decoder];
    
    if (self)
    {
        //init options
    }
	
	return self;
}

- (void)drawRect:(NSRect)dirtyRect
{
    if(key.Type() != HPS::Type::None)
        key.Update(HPS::Window::UpdateControl::RefreshUpdate);
}

- (IBAction)RunLightWeightSubwindow:(id)sender
{
    Test t(0, "");
    samples->RunTest(&t);
}

- (IBAction)RunBloomSilhouette:(id)sender
{
    Test t(1, "");
    samples->RunTest(&t);
}

- (IBAction)RunDatabaseSearch:(id)sender
{
    Test t(2, "");
    samples->RunTest(&t);
}

- (IBAction)RunHiddenLine:(id)sender
{
    Test t(3, "");
    samples->RunTest(&t);
}

- (IBAction)RunImageBackground:(id)sender
{
    Test t(4, "");
    samples->RunTest(&t);
}

- (IBAction)RunImageIO:(id)sender
{
    Test t(5, "");
    samples->RunTest(&t);
}

- (IBAction)RunImageOutput:(id)sender
{
    Test t(6, "");
    samples->RunTest(&t);
}

- (IBAction)RunMaskTransforms:(id)sender
{
    Test t(7, "");
    samples->RunTest(&t);
}

- (IBAction)RunMeshes:(id)sender
{
    Test t(8, "");
    samples->RunTest(&t);
}

- (IBAction)RunQuickmoves:(id)sender
{
    Test t(9, "");
    samples->RunTest(&t);
}

- (IBAction)RunRenderModes:(id)sender
{
    Test t(10, "");
    samples->RunTest(&t);
}

- (IBAction)RunSegmentAttributes:(id)sender
{
    Test t(11, "");
    samples->RunTest(&t);
}

- (IBAction)RunSubShellAttributes:(id)sender
{
    Test t(12, "");
    samples->RunTest(&t);
}

- (IBAction)RunSpotlight:(id)sender
{
    Test t(13, "");
    samples->RunTest(&t);
}

- (IBAction)RunTextures:(id)sender
{
    Test t(14, "");
    samples->RunTest(&t);
}

- (IBAction)RunExchangePublish:(id)sender
{
    Test t(15, "");
    samples->RunTest(&t);
}

- (IBAction)RunHiddenLineAdvanced:(id)sender
{
    Test t(16, "");
    samples->RunTest(&t);
}

- (IBAction)RunShellAttributes:(id)sender
{
    Test t(17, "");
    samples->RunTest(&t);
}

- (IBAction)RunPriority:(id)sender
{
    Test t(18, "");
    samples->RunTest(&t);
}

- (IBAction)RunInterpolation:(id)sender
{
    Test t(19, "");
    samples->RunTest(&t);
}

- (IBAction)RunExchangePMIHighlighting:(id)sender
{
    Test t(20, "");
    samples->RunTest(&t);
}

- (IBAction)RunExchangeComponentHighlighting:(id)sender
{
    Test t(21, "");
    samples->RunTest(&t);
}

- (IBAction)RunCustomEvent:(id)sender
{
    Test t(22, "");
    samples->RunTest(&t);
}

- (IBAction)RunConditionalStylesAndIncludes:(id)sender
{
    Test t(23, "");
    samples->RunTest(&t);
}

- (IBAction)RunHardcopyExport:(id)sender
{
    Test t(24, "");
    samples->RunTest(&t);
}

@end
